How to upgrade PHP in XAMPP pakage?

Problems with the Mac OS X version of XAMPP, questions, comments, and anything related.

How to upgrade PHP in XAMPP pakage?

Postby Eduard » 14. June 2011 18:02

Dear Guru,
Please, help me in upgrading PHP to 5.3.2 in XAMPP pakage. I am not a specialist in web apps.
I need to install MediaWiki engine on my Mac OS X, but this soft does not work with PHP 5.3.1
which is included in the pakage.
I also need to install eAccelerator, APC, XCache or WinCache for wiki.
Is it possible to add one of these apps to XAMPP?
Thanks in advance.
Eduard
 
Posts: 1
Joined: 14. June 2011 17:52

Re: How to upgrade PHP in XAMPP pakage?

Postby kkathman » 12. July 2011 03:29

I am in the same situation. I would like to know how to do this.
kkathman
 
Posts: 7
Joined: 27. June 2007 05:49

Re: How to upgrade PHP in XAMPP pakage?

Postby JonB » 12. July 2011 04:40

Bad News - Long story -- short answer. You can't.

Its a compilation issue. Apache and PHP are co-compiles, so you can't mix and match AFAIK. The only folks that could undertake this are 'serial-killer geeks'. Mac's are really Unix boxes deep down inside. So I am not saying you can't recompile from Source, but that kinda defeats the purpose of a bundled distribution.

Google this: 'compile new php version Mac OS X'

Good News - There's a new XAMPP beta for Mac OS X.

http://www.apachefriends.org/en/xampp-beta.html

See 'shiny new version' of PHP! :D

It is a beta version, so expect some hiccups. And help the project by reporting nay problems you find on the form page provided

As for the 'other stuff' you have asked about, if it isn't in the package -- expect to have to do some research and testing.

Good Luck
8)
User avatar
JonB
AF Moderator
 
Posts: 3210
Joined: 12. April 2010 16:41
Location: Land of the Blazing Sun
XAMPP Version: 1.8.3-2
Operating System: Windows XP/7 - Fedora 15 1.7.7

Re: How to upgrade PHP in XAMPP pakage?

Postby Sharley » 12. July 2011 04:50

As Jon quite rightly says, you can't, as PHP is compiled with Apache as a module not as a CGI - the CGI method of compiling Apache and PHP is the method used by most hosting service providers.

This is the reason you have to restart Apache when ever you edit (change) the php.ini file as it is only read once when Apache starts, where as in the CGI compiled version you can use a php.ini file in the root of every web site you use which means Apache will read the PHP file every time it needs to in real time.

I hope this also helps to add a little more info to Jon's most excellent and informative reply. :)

Best wishes.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
XAMPP Version: 5.6.3
Operating System: Win 7 Pro 32bit/XP Pro SP3


Return to XAMPP for Mac OS X

Who is online

Users browsing this forum: No registered users and 8 guests